Skip to main content

Retrieve a list of all notification types for the resource type.

GET 

/notifications/v1/notification-types

General Availability

Make a request to list_by_resource_type a notification type.

Request

Responses

List of Notification Type.

OpenAPI definition (YAML)
paths:
  /notifications/v1/notification-types:
    get:
      parameters:
      - name: resource_type
        description: Confluent Cloud resource type
        in: query
        required: false
        schema:
          type: string
          enum:
          - ENVIRONMENT
          - CLUSTER
          - CONNECTOR
          - FLINK_COMPUTE_POOL
          - FLINK_STATEMENT
      - name: page_size
        in: query
        required: false
        schema:
          type: integer
          default: 100
          maximum: 250
          x-max-page-items: 500
        description: A pagination size for collection requests.
      - name: page_token
        in: query
        required: false
        schema:
          type: string
          maxLength: 255
        description: An opaque pagination token for collection requests.
      x-lifecycle-stage: General Availability
      x-self-access: true
      operationId: listNotificationsV1NotificationTypes
      description: '[![General Availability](https://img.shields.io/badge/Lifecycle%20Stage-General%20Availability-%2345c6e8)](#section/Versioning/API-Lifecycle-Policy)


        Make a request to list_by_resource_type a notification type.'
      tags:
      - Notification Types (notifications/v1)
      security:
      - cloud-api-key: []
      - confluent-sts-access-token: []
      responses:
        '200':
          description: List of Notification Type.
          content:
            application/json:
              schema:
                allOf:
                - type: object
                  description: 'The type of notifications (and their corresponding metadata) supported
                    by Confluent.



                    Related guide: [Cloud Notifications](https://docs.confluent.io/cloud/current/monitoring/configure-notifications.html#notifications-for-ccloud).


                    ## The Notification Types Model

                    <SchemaDefinition schemaRef="#/components/schemas/notifications.v1.NotificationType"
                    />'
                  required:
                  - api_version
                  - kind
                  - metadata
                  - data
                  properties:
                    api_version:
                      type: string
                      enum:
                      - notifications/v1
                      description: APIVersion defines the schema version of this representation of a resource.
                      readOnly: true
                    kind:
                      type: string
                      description: Kind defines the object this REST resource represents.
                      readOnly: true
                      enum:
                      - NotificationTypeList
                    metadata:
                      allOf:
                      - type: object
                        description: ListMeta describes metadata that resource collections may have
                        properties:
                          first:
                            description: A link to the first page of results. If a response does not contain
                              a first link, then direct navigation to the first page is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds
                          last:
                            description: A link to the last page of results. If a response does not contain
                              a last link, then direct navigation to the last page is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=bcAOehAY8F16YD84Z1wT
                          prev:
                            description: A link to the previous page of results. If a response does not
                              contain a prev link, then either there is no previous data or backwards
                              traversal through the result set is not supported.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=YIXRY97wWYmwzrax4dld
                          next:
                            description: A link to the next page of results. If a response does not contain
                              a next link, then there is no more data available.
                            type: string
                            format: uri
                            nullable: true
                            example: https://api.confluent.cloud/v2/resourcekinds?page_token=UvmDWOB1iwfAIBPj6EYb
                          total_size:
                            description: Number of records in the full result set. This response may be
                              paginated and have a smaller number of records.
                            type: integer
                            format: int32
                            minimum: 0
                            example: 123
                        title: ListMeta
                      - properties:
                          first:
                            example: https://api.confluent.cloud/notifications/v1/notification-types
                          last:
                            example: https://api.confluent.cloud/notifications/v1/notification-types?page_token=bcAOehAY8F16YD84Z1wT
                          prev:
                            example: https://api.confluent.cloud/notifications/v1/notification-types?page_token=YIXRY97wWYmwzrax4dld
                          next:
                            example: https://api.confluent.cloud/notifications/v1/notification-types?page_token=UvmDWOB1iwfAIBPj6EYb
                    data:
                      type: array
                      description: A data property that contains an array of resource items. Each entry
                        in the array is a separate resource.
                      items:
                        allOf:
                        - type: object
                          description: 'The type of notifications (and their corresponding metadata) supported
                            by Confluent.



                            Related guide: [Cloud Notifications](https://docs.confluent.io/cloud/current/monitoring/configure-notifications.html#notifications-for-ccloud).


                            ## The Notification Types Model

                            <SchemaDefinition schemaRef="#/components/schemas/notifications.v1.NotificationType"
                            />'
                          properties:
                            api_version:
                              type: string
                              enum:
                              - notifications/v1
                              description: APIVersion defines the schema version of this representation
                                of a resource.
                              readOnly: true
                            kind:
                              type: string
                              description: Kind defines the object this REST resource represents.
                              readOnly: true
                              enum:
                              - NotificationType
                            id:
                              description: ID is the "natural identifier" for an object within its scope/namespace;
                                it is normally unique across time but not space. That is, you can assume
                                that the ID will not be reclaimed and reused after an object is deleted
                                ("time"); however, it may collide with IDs for other object `kinds` or
                                objects of the same `kind` within a different scope/namespace ("space").
                              type: string
                              maxLength: 255
                              readOnly: true
                              example: dlz-f3a90de
                            metadata:
                              allOf:
                              - description: ObjectMeta is metadata that all persisted resources must
                                  have, which includes all objects users must create.
                                required:
                                - self
                                properties:
                                  self:
                                    description: Self is a Uniform Resource Locator (URL) at which an
                                      object can be addressed. This URL encodes the service location,
                                      API version, and other particulars necessary to locate the resource
                                      at a point in time
                                    type: string
                                    format: uri
                                    readOnly: true
                                    example: https://api.confluent.cloud/v2/kafka-clusters/lkc-f3a90de
                                  resource_name:
                                    description: Resource Name is a Uniform Resource Identifier (URI)
                                      that is globally unique across space and time. It is represented
                                      as a Confluent Resource Name
                                    type: string
                                    format: uri
                                    readOnly: true
                                    example: crn://confluent.cloud/kafka=lkc-f3a90de
                                  created_at:
                                    type: string
                                    format: date-time
                                    example: '2006-01-02T15:04:05-07:00'
                                    readOnly: true
                                    description: The date and time at which this object was created. It
                                      is represented in RFC3339 format and is in UTC.
                                  updated_at:
                                    type: string
                                    format: date-time
                                    example: '2006-01-02T15:04:05-07:00'
                                    readOnly: true
                                    description: The date and time at which this object was last updated.
                                      It is represented in RFC3339 format and is in UTC.
                                  deleted_at:
                                    type: string
                                    format: date-time
                                    example: '2006-01-02T15:04:05-07:00'
                                    readOnly: true
                                    description: The date and time at which this object was (or will be)
                                      deleted. It is represented in RFC3339 format and is in UTC.
                                readOnly: true
                                title: ObjectMeta
                              - properties:
                                  self:
                                    example: https://api.confluent.cloud/notifications/v1/notification-types/nt-12345
                                  resource_name:
                                    example: crn://confluent.cloud/organization=9bb441c4-edef-46ac-8a41-c49e44a3fd9a/notification-type=nt-12345
                            display_name:
                              type: string
                              description: 'Human readable display name of the notification type

                                '
                              example: Cluster Shrink
                            category:
                              type: string
                              description: "Represents the group with which the notification is associated.\n\
                                Notifications are grouped under certain categories for better organization.\n\
                                - BILLING_LICENSING: All billing, payments or licensing related notifications\
                                \ are grouped here.\n- SECURITY: All Confluent Cloud and Platform security\
                                \ related notifications are grouped here.\n- SERVICE: All Confluent services\
                                \ (eg. Kafka, Schema Registry, Connect etc.) related notifications are\n\
                                \  grouped here.\n- ACCOUNT: All Confluent account related notifications\
                                \ are grouped here.\nFor example: Billing, payment or license related\
                                \ notifications are grouped in BILLING_LICENSING category.\n"
                              example: BILLING_LICENSING
                              enum:
                              - BILLING_LICENSING
                              - SECURITY
                              - SERVICE
                              - ACCOUNT
                            description:
                              type: string
                              description: 'Human readable description of the notification type

                                '
                              example: Cluster shrink operation is completed
                            subscription_priority:
                              type: string
                              description: 'Indicates whether the notification is auto-subscribed and
                                if the user can opt-out.

                                - REQUIRED: the user is auto-subscribed to this notification and can''t
                                opt-out.

                                - RECOMMENDED: the user is auto-subscribed to this notification and can
                                opt-out.

                                - OPTIONAL: the user is not auto-subscribed to this notification but can
                                explicitly subscribe to it.

                                '
                              example: REQUIRED
                              enum:
                              - REQUIRED
                              - RECOMMENDED
                              - OPTIONAL
                            is_included_in_plan:
                              type: boolean
                              description: 'Whether this notification is available to subscribe or not

                                as per the user''s current billing plan.

                                '
                            severity:
                              type: string
                              description: 'Severity indicates the impact of this notification.

                                - CRITICAL: a high impact notification which needs immediate attention.

                                - WARN: a warning notification which can be addressed now or later.

                                - INFO: an informational notification.

                                '
                              example: INFO
                              enum:
                              - CRITICAL
                              - WARN
                              - INFO
                          title: notifications.v1.NotificationType
                        - type: object
                          required:
                          - id
                          - metadata
                          - display_name
                          - category
                          - description
                          - subscription_priority
                          - is_included_in_plan
                          - severity
                      uniqueItems: true
                  title: notifications.v1.NotificationTypeList
        '400':
          description: Bad Request
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '400'
                  code: invalid_filter
                  title: Invalid Filter
                  detail: The 'delorean' resource can't be filtered by 'num_doors'
                  source:
                    parameter: num_doors
        '401':
          x-summary: Unauthorized
          description: The request lacks valid authentication credentials for this resource.
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            WWW-Authenticate:
              schema:
                type: string
              description: The unique identifier for the API request.
              example: Basic error="invalid_key", error_description="The API Key is invalid"
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '401'
                  code: user_unauthenticated
                  title: Authentication Required
                  detail: Valid authentication credentials must be provided
        '403':
          x-summary: Forbidden
          description: The access credentials were considered insufficient to grant access
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '403'
                  code: user_unauthorized
                  title: User Access Unauthorized
                  detail: The user 'mcfly' is not allowed to access the 'delorean' resource without the
                    'plutonium' role.
        '404':
          description: Not Found
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '404'
                  title: Not Found
        '429':
          description: Rate Limit Exceeded
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
            X-RateLimit-Limit:
              schema:
                type: integer
              description: The maximum number of requests you're permitted to make per time period.
            X-RateLimit-Remaining:
              schema:
                type: integer
              description: The number of requests remaining in the current rate limit window.
            X-RateLimit-Reset:
              schema:
                type: integer
              description: "The relative time in seconds until the current rate-limit window resets. \
                \ \n  \n**Important:** This differs from Github and Twitter's same-named header which\
                \ uses UTC epoch seconds. We use relative time to avoid client/server time synchronization\
                \ issues."
            Retry-After:
              schema:
                type: integer
              description: The number of seconds to wait until the rate limit window resets. Only sent
                when the rate limit is reached.
        '500':
          description: Oops, something went wrong!
          headers:
            X-Request-Id:
              schema:
                type: string
              description: The unique identifier for the API request.
          content:
            application/json:
              schema:
                type: object
                description: Provides information about problems encountered while performing an operation.
                required:
                - errors
                properties:
                  errors:
                    description: List of errors which caused this operation to fail
                    type: array
                    items:
                      type: object
                      description: Describes a particular error encountered while performing an operation.
                      properties:
                        id:
                          description: A unique identifier for this particular occurrence of the problem.
                          type: string
                          maxLength: 255
                        status:
                          description: The HTTP status code applicable to this problem, expressed as a
                            string value.
                          type: string
                        code:
                          description: An application-specific error code, expressed as a string value.
                          type: string
                        title:
                          description: A short, human-readable summary of the problem. It **SHOULD NOT**
                            change from occurrence to occurrence of the problem, except for purposes of
                            localization.
                          type: string
                        detail:
                          description: A human-readable explanation specific to this occurrence of the
                            problem.
                          type: string
                        source:
                          type: object
                          description: If this error was caused by a particular part of the API request,
                            the source will point to the query string parameter or request body property
                            that caused it.
                          properties:
                            pointer:
                              description: A JSON Pointer [RFC6901] to the associated entity in the request
                                document [e.g. "/spec" for a spec object, or "/spec/title" for a specific
                                field].
                              type: string
                            parameter:
                              description: A string indicating which query parameter caused the error.
                              type: string
                        error_code:
                          type: integer
                          format: int32
                        message:
                          type: string
                          nullable: true
                      additionalProperties: false
                      title: Error
                    uniqueItems: true
                title: Failure
              example:
                errors:
                - id: ed42afdc-f0d5-4c0d-b428-9fc6ed6e279d
                  status: '500'
                  code: out_of_gas
                  title: DeLorean Out Of Gas
                  detail: The DeLorean has run out of gas, but Doc Brown will fill 'er up for you asap
      servers:
      - url: https://api.confluent.cloud
        description: Confluent Cloud API